Subject: Re: Custom locales seem not to work
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Mon, 21 Jun 2021 14:06:59 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-06-21 12:21, Thomas Wolff wrote:
> Am 21.06.2021 um 15:23 schrieb Алекса -скрыто- via Cygwin:
>> I noticed that Cygwin-linked applications fail to use the proper 
>> language code from a Windows custom locale, and revert to C instead. 
>> Is that a bug?

> If you define a Windows custom locale, how would you expect it to be 
> referred to from cygwin, i.e. which POSIX locale name should be used to 
> be mapped to it and how should this mapping be magically deployed into 
> cygwin?
> I don't think such a mechanism can easily be designed or implemented.

If the OP is using a Windows supplemental or replacement locale 
installation, rather than just customizing the locale information, could 
they please export the LDML as UTF8 text and attach it to their post.
If the locale identifiers are sufficiently non-standard, they would 
require a custom mapping in Cygwin.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple